package com.rshy.project.hy.server.param;

import com.rshy.project.hy.server.dto.OrderDTO;
import com.rshy.project.hy.server.dto.RetrievalDTO;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: lileilei
 * @date: 2022/4/20 11:02
 * @description:
 */
@Data
@Accessors(chain = true)
public class RetrievalRepositoryParam {
    /**
     * 导图时导入 extra_metra 字段， 在检索结果中显 示 相关字段。
     */
    private List<String> extra_fields;

    /**
     * 从第几个结果开始返回
     */
    private Integer start;

    /**
     * 返回至多多少个结果
     */
    private Integer limit;

    /**
     * 表示返回结果的排序方 式 , 支 持 similarity 排序
     */
    private OrderDTO order;

    private RetrievalDTO retrieval;

    /**
     * 结果翻页的时候 , 使用 这个 id 来查询
     */
    private String retrieval_query_id;
}

