package com.rshy.project.hy.web.controller;


import com.rshy.project.hy.baseRe.Ret;
import com.rshy.project.hy.model.entity.RshyJk;
import com.rshy.project.hy.service.RshyJkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xiaopi
 * @since 2022-03-07
 */
@RestController
@Api(tags = "接口控制层")
@RequestMapping("/rshyJk")
public class RshyJkController {
    @Autowired
    private RshyJkService rshyJkService;

    @ApiOperation("接口列表")
    @PostMapping("getInterfaceAll")
    public Ret<List<RshyJk>> getInterfaceAll() {
        return Ret.success(rshyJkService.getInterfaceAll());
    }

    @ApiOperation("修改接口超时时间")
    @GetMapping("upInterfaceTimeOut")
    public Ret<Boolean> upInterfaceTimeOut(String time) {
        return Ret.success(rshyJkService.upInterfaceTimeOut(time));
    }
}
